---
- name: Install EPEL Repo
  yum:
    name=epel-release
    state=present
  tags:
    - nginx
  when:
    - ansible_os_family == "RedHat"
    - ansible_distribution == "CentOS"

- name: install nginx
  yum:
    name=nginx
    state=latest
  when:
    ansible_os_family == "RedHat"
  tags:
    - nginx

- name: enable and start nginx
  systemd:
    name: nginx
    enabled: yes
    state: started
  when:
    ansible_os_family == "RedHat"
  tags:
    - nginx

- name: update nginx config file
  become: true
  template:
    src: "templates/{{ ansible_facts['os_family'] }}/nginx.conf"
    dest: "{{ nginx_conf }}"
  tags:
    - nginx
  notify:
    - restart nginx please

- name: check exists the "{{ html_path }}/.git" dir
  stat:
    path: "{{ html_path }}/.git"
  tags:
    - code-deploy
  when:
    ansible_os_family == "RedHat"
  register: file_details

- name: clean html dir
  file:
    state: absent
    path: "{{ html_path }}"
  tags:
    - code-deploy
  when:
    file_details.stat.exists == false

- name: update repo - pull the latest changes
  git:
    repo: "https://gitlab.com/mr.evan.zorg/final-test-www.git"
    dest: "/usr/share/nginx/html"
    update: yes
    version: master
    accept_hostkey: yes
    force: yes
  tags:
    - code-deploy

- name: check if port 8080 is listening
  wait_for:
    port: 8080
    delay: 5
    timeout: 10
  register: port_8080_check
  ignore_errors: yes
  notify:
    - restart nginx please

